Subject: Re: bug#40998: Guix System's initrd doesn't honor rootflags

From: Ludovic Courtès <[email-masked]>
Date: Sun, 27 Feb 2022 22:06:34 +0100

Maxim Cournoyer <[email-masked]> skribis:

> * gnu/build/linux-boot.scm (boot-system): Honor rootfstype and rootflags
> arguments.  Update doc.  Error out in case there is insufficient information
> with regard to the root file system.
> Restore the behavior of inferring the root device from the root file system
> from the operating system in case the root argument is not provided.
> * doc/guix.texi (Initial RAM Disk): Document the new command-line parameters.

Very nice!

[...]

> -        (if root-device
> -            (mount-root-file-system (canonicalize-device-spec root-device)
> -                                    (file-system-type root-fs)
> -                                    #:volatile-root? volatile-root?
> -                                    #:flags (mount-flags->bit-mask
> -                                             (file-system-flags root-fs))
> -                                    #:options (file-system-options root-fs)
> -                                    #:check? (check? root-fs)
> -                                    #:skip-check-if-clean?
> -                                    (skip-check-if-clean? root-fs)
> -                                    #:repair (repair root-fs))
> -            (mount "none" "/root" "tmpfs"))
> +        ;; Mount the root file system.
> +        (mount-root-file-system (canonicalize-device-spec

I think the ‘if’ had (has?) a justification but I’m not sure what that
was.  It’s likely nobody will notice if we remove it anyway.  :-)

Ludo’.